## mapcache 1.8.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (MapCache C)

include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug") 
   add_definitions(-DDEBUG) 
endif () 


set (MAPCACHE_VERSION_MAJOR 1)
set (MAPCACHE_VERSION_MINOR 8)
set (MAPCACHE_VERSION_REVISION 0)

if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   set(CMAKE_INSTALL_LIBDIR lib)
endif(NOT DEFINED CMAKE_INSTALL_LIBDIR)
if(NOT DEFINED CMAKE_INSTALL_BINDIR)
   set(CMAKE_INSTALL_BINDIR bin)
endif(NOT DEFINED CMAKE_INSTALL_BINDIR)

MATH(EXPR MAPCACHE_IS_DEV_VERSION "1-${MAPCACHE_VERSION_MINOR}%2")
if(MAPCACHE_IS_DEV_VERSION)
  set (MAPCACHE_VERSION_STRING "${MAPCACHE_VERSION_MAJOR}.${MAPCACHE_VERSION_MINOR}.${MAPCACHE_VERSION_REVISION}")
else(MAPCACHE_IS_DEV_VERSION)
  set (MAPCACHE_VERSION_STRING "${MAPCACHE_VERSION_MAJOR}.${MAPCACHE_VERSION_MINOR}dev")
endif(MAPCACHE_IS_DEV_VERSION)
MATH(EXPR MAPCACHE_VERSION_NUM "${MAPCACHE_VERSION_MAJOR}*10000+${MAPCACHE_VERSION_MINOR}*100+${MAPCACHE_VERSION_REVISION}")

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
if (APPLE)
  set(CMAKE_FIND_FRAMEWORK "LAST")
endif (APPLE)

macro( report_optional_not_found component )
  message(SEND_ERROR "${component} library/component/dependency could not be found.
  HINTS:
  - disable ${component} support by adding -DWITH_${component}=0
  - add the ${component} install directory to the CMAKE_PREFIX_PATH variable (-DCMAKE_PREFIX_PATH=\"/path/to/${component}-install-dir;/path/to/other/dirs\"")
endmacro()
macro( report_mandatory_not_found component )
  message(SEND_ERROR "${component} library/component could not be found and is a mandatory dependency
  HINT:
  - add the ${component} install directory to the CMAKE_PREFIX_PATH variable (-DCMAKE_PREFIX_PATH=\"/path/to/${component}-install-dir;/path/to/other/dirs\"")
endmacro()
macro( report_dependency_error component dependency)
  message(SEND_ERROR "${component} support requires ${dependency} support, however ${dependency} support has been disabled.
  HINTS:
  - re-run with -DWITH_${dependency}=1 (or without -DWITH_${dependency}=0)
  - disable ${component} support by adding -DWITH_${component}=0"
  )
endmacro()

check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
check_function_exists("symlink"  HAVE_SYMLINK)
check_function_exists ("timegm" HAVE_TIMEGM)
check_function_exists ("strptime" HAVE_STRPTIME)

set(CMAKE_SKIP_BUILD_RPATH FALSE)
if(APPLE)
  set(CMAKE_MACOSX_RPATH ON)
endif()
set(CMAKE_LINK_INTERFACE_LIBRARY "")

file(GLOB mapcache_SOURCES lib/*.c )
file(GLOB mapcache_HEADERS include/*.h)

add_library(mapcache SHARED ${mapcache_SOURCES} ${mapcache_HEADERS})
set_target_properties(mapcache PROPERTIES
  VERSION ${MAPCACHE_VERSION_STRING}
  SOVERSION 1
)

# Add compiler flags for warnings
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement")
endif()

if(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement -std=c89 -Wno-comment")
endif()

#options suported by the cmake builder
option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
option(WITH_SQLITE "Use sqlite as a cache/dimension backend" ON)
option(WITH_POSTGRESQL "Use sqlite as a dimension backend" OFF)
option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
option(WITH_TIFF_WRITE_SUPPORT "Enable (experimental) support for writable TIFF cache backends" OFF)
option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
option(WITH_PCRE "Use PCRE for regex tests" OFF)
option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)
option(WITH_RIAK "Use Riak as a cache backend" OFF)
option(WITH_GDAL "Choose if GDAL raster support should be built in" ON)
option(WITH_MAPCACHE_DETAIL "Build coverage analysis tool for SQLite caches" ON)

find_package(PNG)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  target_link_libraries(mapcache ${PNG_LIBRARIES})
else(PNG_FOUND)
  report_mandatory_not_found(PNG)
endif(PNG_FOUND)

find_package(JPEG)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  target_link_libraries(mapcache ${JPEG_LIBRARY})
else(JPEG_FOUND)
endif(JPEG_FOUND)
   
find_package(CURL)
if(CURL_FOUND)
   include_directories(${CURL_INCLUDE_DIR})
   target_link_libraries(mapcache ${CURL_LIBRARY})
else(CURL_FOUND)
   report_mandatory_not_found(CURL)
endif(CURL_FOUND)

find_package(APR)
if(APR_FOUND)
   include_directories(${APR_INCLUDE_DIR} ${APU_INCLUDE_DIR})
   target_link_libraries(mapcache ${APR_LIBRARY} ${APU_LIBRARY})
   if(DEFINED APR_CPPFLAGS)
     add_definitions("${APR_CPPFLAGS}")
   endif(DEFINED APR_CPPFLAGS)
else(APR_FOUND)
   report_mandatory_not_found(APR)
endif(APR_FOUND)

if(WITH_MEMCACHE)
  include(CheckSymbolExists)
   FIND_PATH(tmp_APU_MEMCACHE_DIR
     NAMES apr_memcache.h
     HINTS ${APU_INCLUDE_DIR}
  )
  if(tmp_APU_MEMCACHE_DIR)
    set(CMAKE_REQUIRED_INCLUDE ${APR_INCLUDE_DIR} ${APU_INCLUDE_DIR})
    set(CMAKE_REQUIRED_LIBRARIES ${APR_LIBRARY} ${APU_LIBRARY})
    check_symbol_exists(apr_memcache_hash "${tmp_APU_MEMCACHE_DIR}/apr_memcache.h" tmp_MEMCACHE_USABLE)
    if(tmp_MEMCACHE_USABLE)
      set(USE_MEMCACHE 1)
    else(tmp_MEMCACHE_USABLE)
      MESSAGE(SEND_ERROR "apr_memcache.h found, but seems too old (missing apr_memcache_hash function)")
      report_optional_not_found(MEMCACHE)
    endif(tmp_MEMCACHE_USABLE)
  else(tmp_APU_MEMCACHE_DIR)
    MESSAGE(SEND_ERROR "apr_memcache.h not found, your apr-util version may be configured without memcache support")
    report_optional_not_found(MEMCACHE)
  endif(tmp_APU_MEMCACHE_DIR)
  
endif(WITH_MEMCACHE)

if(WITH_PIXMAN)
  find_package(Pixman)
  if(PIXMAN_FOUND)
    include_directories(${PIXMAN_INCLUDE_DIR})
    target_link_libraries(mapcache ${PIXMAN_LIBRARY})
    set (USE_PIXMAN 1)
  else(PIXMAN_FOUND)
    report_optional_not_found(PIXMAN)
  endif(PIXMAN_FOUND)
endif (WITH_PIXMAN)

if(WITH_GDAL)
  find_package(GDAL)
  if(GDAL_FOUND)
    include_directories(${GDAL_INCLUDE_DIR})
    target_link_libraries(mapcache ${GDAL_LIBRARY})
    set (USE_GDAL 1)
  else(GDAL_FOUND)
    report_optional_not_found(GDAL)
  endif(GDAL_FOUND)
endif(WITH_GDAL)

if(WITH_PCRE)
   find_package(PCRE)
  if(PCRE_FOUND)
    include_directories(${PCRE_INCLUDE_DIR})
    target_link_libraries(mapcache ${PCRE_LIBRARY})
    set (USE_PCRE 1)
    add_definitions(-DPCRE_STATIC) 
  else(PCRE_FOUND)
    report_optional_not_found(PCRE)
  endif(PCRE_FOUND)
endif (WITH_PCRE)

if(WITH_SQLITE)
  find_package(SQLITE)
  if(SQLITE_FOUND)
    include_directories(${SQLITE_INCLUDE_DIR})
    target_link_libraries(mapcache ${SQLITE_LIBRARY})
    set (USE_SQLITE 1)
  else(SQLITE_FOUND)
    report_optional_not_found(SQLITE)
  endif(SQLITE_FOUND)
endif (WITH_SQLITE)

if(WITH_POSTGRESQL)
  find_package(PostgreSQL)
  if(PostgreSQL_FOUND)
    include_directories(${PostgreSQL_INCLUDE_DIR})
    target_link_libraries(mapcache ${PostgreSQL_LIBRARY})
    set (USE_POSTGRESQL 1)
  else(POSTGRESQL_FOUND)
    report_optional_not_found(POSTGRESQL)
  endif(PostgreSQL_FOUND)
endif (WITH_POSTGRESQL)

if(WITH_BERKELEY_DB)
  if(NOT BERKELEYDB_FIND_VERSION)
    set(BERKELEYDB_FIND_VERSION "4.6")
  endif(NOT BERKELEYDB_FIND_VERSION)
  find_package(BerkeleyDB)
  if(BERKELEYDB_FOUND)
    include_directories(${BERKELEYDB_INCLUDE_DIR})
    target_link_libraries(mapcache ${BERKELEYDB_LIBRARY})
    set (USE_BDB 1)
  else(BERKELEYDB_FOUND)
    report_optional_not_found(BERKELEY_DB)
  endif(BERKELEYDB_FOUND)
endif (WITH_BERKELEY_DB)

if(WITH_TIFF)
  find_package(TIFF)
  if(TIFF_FOUND)
    include_directories(${TIFF_INCLUDE_DIR})
    target_link_libraries(mapcache ${TIFF_LIBRARY})
    set (USE_TIFF 1)
  else(TIFF_FOUND)
    report_optional_not_found(TIFF)
  endif(TIFF_FOUND)
endif (WITH_TIFF)

if(WITH_TIFF_WRITE_SUPPORT)
  if(USE_TIFF)
    set (USE_TIFF_WRITE 1)
  else(USE_TIFF)
    report_dependency_error(TIFF_WRITE_SUPPORT TIFF)
  endif(USE_TIFF)
endif(WITH_TIFF_WRITE_SUPPORT)


if(WITH_GEOTIFF)
  find_package(GEOTIFF)
  if(GEOTIFF_FOUND)
    include_directories(${GEOTIFF_INCLUDE_DIR})
    target_link_libraries(mapcache ${GEOTIFF_LIBRARY})
    set (USE_GEOTIFF 1)
  else(GEOTIFF_FOUND)
    report_optional_not_found(GEOTIFF)
  endif(GEOTIFF_FOUND)
endif (WITH_GEOTIFF)

if(WITH_MAPSERVER)
   find_package(MAPSERVER)
  if(MAPSERVER_FOUND)
    include_directories(${MAPSERVER_INCLUDE_DIR})
    target_link_libraries(mapcache ${MAPSERVER_LIBRARY})
    set (USE_MAPSERVER 1)
  else(MAPSERVER_FOUND)
    report_optional_not_found(MAPSERVER)
  endif(MAPSERVER_FOUND)
endif (WITH_MAPSERVER)

if(WITH_RIAK)
  find_package(RIAK)
  if(RIAK_FOUND)
    include_directories(${RIAK_INCLUDE_DIR})
    target_link_libraries(mapcache ${RIAK_LIBRARY})
    set (USE_RIAK 1)
  else(RIAK_FOUND)
    report_optional_not_found(RIAK)
  endif(RIAK_FOUND)
endif (WITH_RIAK)

if(UNIX)
target_link_libraries(mapcache ${CMAKE_DL_LIBS} m )
endif(UNIX)

configure_file (
  "${PROJECT_SOURCE_DIR}/include/mapcache-config.h.in"
  "${PROJECT_BINARY_DIR}/include/mapcache-config.h"
  )

configure_file (
  "${PROJECT_SOURCE_DIR}/include/mapcache-version.h.in"
  "${PROJECT_BINARY_DIR}/include/mapcache-version.h"
  )

include_directories(include ${PROJECT_BINARY_DIR}/include)

macro(status_optional_component component enabled libpath)
  if("${enabled}" EQUAL "1")
    message(STATUS "  * ${component}: ${libpath}")
  else()
    message(STATUS "  * ${component}: disabled")
  endif()
endmacro()
macro(status_optional_feature feature enabled)
  if("${enabled}" EQUAL "1" OR "${enabled}" STREQUAL "ON")
    message(STATUS "  * ${feature}: ENABLED")
  else()
    message(STATUS "  * ${feature}: disabled")
  endif()
endmacro()

message(STATUS "* Configured options for the mapcache library")
message(STATUS " * Mandatory components")
message(STATUS "  * png: ${PNG_LIBRARY}")
message(STATUS "  * jpeg: ${JPEG_LIBRARY}")
message(STATUS "  * Curl: ${CURL_LIBRARY}")
message(STATUS "  * Apr: ${APR_LIBRARY}")
message(STATUS " * Optional components")
status_optional_component("PIXMAN" "${USE_PIXMAN}" "${PIXMAN_LIBRARY}")
status_optional_component("SQLITE" "${USE_SQLITE}" "${SQLITE_LIBRARY}")
status_optional_component("POSTGRESQL" "${USE_POSTGRESQL}" "${PostgreSQL_LIBRARY}")
status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
status_optional_component("GDAL" "${USE_GDAL}" "${GDAL_LIBRARY}")
message(STATUS " * Optional features")
status_optional_feature("MAPCACHE_DETAIL" "${WITH_MAPCACHE_DETAIL}")

INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_subdirectory(util)
add_subdirectory(cgi)
add_subdirectory(apache)
add_subdirectory(nginx)

if (WITH_MAPCACHE_DETAIL)
  add_subdirectory(contrib/mapcache_detail)
endif (WITH_MAPCACHE_DETAIL)

=== debian/changelog ===
mapcache (1.8.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jul 2019 19:21:35 +0200

mapcache (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Change license shortname from MIT to Expat
    - Update copyright years for Regents of the University of Minnesota
    - Add license & copyright for cJSON sources
  * Drop spelling-errors.patch, applied upstream. Refresh remaining patch.
  * Add manpage for mapcache_detail.
  * Update docs for README rename.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jul 2019 05:59:55 +0200

mapcache (1.6.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Remove package name from lintian overrides.
  * Append -DNDEBUG to CFLAGS to remove buildpath from binaries.
  * Add lintian override for file-references-package-build-path.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 17:28:12 +0200

=== debian/control ===
Source: mapcache
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               dh-apache2,
               apache2-dev,
               chrpath,
               cmake,
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libfcgi-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgd-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgeos-dev (>= 3.3.1-1~),
               libharfbuzz-dev,
               libjpeg-dev,
               libmemcached-dev,
               libpcre3-dev,
               libpixman-1-dev,
               libpng-dev,
               librsvg2-dev,
               libsqlite3-dev,
               libtiff-dev,
               zlib1g-dev,
               pkg-config,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git -b buster-backports
Homepage: http://www.mapserver.org/mapcache/

Package: libmapcache1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: tile caching server - shared library
 This package contains the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libmapcache1-dev
Architecture: any
Section: libdevel
Depends: libmapcache1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: mapcache-cgi,
          mapcache-tools,
          libapache2-mod-mapcache
Breaks: libmapcache-dev (<< 1.2.0-1~),
        libmapcache0-dev (<< 1.2.0-1~)
Replaces: libmapcache-dev (<< 1.2.0-1~),
          libmapcache0-dev (<< 1.2.0-1~)
Description: tile caching server - shared library development files
 This package contains the development files for the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-cgi
Architecture: any
Section: web
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - CGI binary
 This package contains the mapcache FastCGI program, as alternative to the
 Apache module available in libapache2-mod-mapcache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-tools
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - tools
 This package provides command-line utilities for MapCache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libapache2-mod-mapcache
Architecture: any
Section: httpd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - Apache module
 This is the MapCache module for the Apache web server implementing OGC web
 services. An alternative mapcache FastCGI program is available in
 mapcache-cgi.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

## mapcache 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 8)
+set (MAPCACHE_VERSION_MINOR 10)
 set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -86,7 +86,7 @@
 #options suported by the cmake builder
 option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
 option(WITH_SQLITE "Use sqlite as a cache/dimension backend" ON)
-option(WITH_POSTGRESQL "Use sqlite as a dimension backend" OFF)
+option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)

=== debian/changelog ===
mapcache (1.10.0-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 19:14:06 +0100

mapcache (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Drop unused override for file-references-package-build-path.
  * Update symbols for 1.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2020 16:02:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -35,9 +35,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
-Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git -b buster-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Remove buildpath from binaries
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=$(CPPFLAGS)
CFLAGS+=$(LDFLAGS)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

BUILD_DATE = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES := $(wildcard debian/man/*.*.xml)

CMAKE_OPTS:= \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_VERBOSE_MAKEFILE=1 \
		-DWITH_PIXMAN=1 \
		-DWITH_SQLITE=1 \
		-DWITH_BERKELEY_DB=0 \
		-DWITH_TIFF=1 \
		-DWITH_TIFF_WRITE_SUPPORT=0 \
		-DWITH_GEOTIFF=0 \
		-DWITH_MAPSERVER=0 \
		-DWITH_PCRE=1 \
		-DWITH_APACHE=1 \
		-DWITH_VERSION_STRING=1 \
		-DWITH_CGI=1 \
		-DWITH_FCGI=1 \
		-DWITH_GEOS=1 \
		-DWITH_OGR=1

# Disable memcache support on architectures where it's not supported
ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf i386 mips mipsel powerpc hppa hurd-i386))
	CMAKE_OPTS += -DWITH_MEMCACHE=0
else
	CMAKE_OPTS += -DWITH_MEMCACHE=1
endif

%:
	dh $@ --with apache2,pkgkde_symbolshelper \
	      --buildsystem cmake

override_dh_clean:
	dh_clean debian/man/*.1

	-$(RM) -rf obj-*/
	-$(RM) nginx/config

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	-mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-mv -v $(CURDIR)/debian/tmp/usr/lib/libmapcache*.so* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/cgi-bin/
	mv $(CURDIR)/debian/tmp/usr/bin/mapcache.fcgi $(CURDIR)/debian/tmp/usr/lib/cgi-bin/mapcache

	# Strip RPATH
	-find $(CURDIR)/debian/tmp/usr/bin -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/obj-*/apache -name "*.so*" -type f -exec chrpath --delete {} \;

	# libmapcache-dev headers
	-mkdir -p $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/include/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/obj-*/*/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/

	# Install apache module
	install -d $(CURDIR)/debian/tmp/etc/apache2/mods-available
	install -m 644 $(CURDIR)/debian/mapcache.load $(CURDIR)/debian/tmp/etc/apache2/mods-available

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mapcache)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapcache-$1.$2/ \
https://github.com/mapserver/mapcache/releases \
(?:.*?/archive/)?(?:rel|v|mapcache)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapcache 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 10)
+set (MAPCACHE_VERSION_MINOR 12)
 set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -59,10 +59,12 @@
 check_function_exists ("timegm" HAVE_TIMEGM)
 check_function_exists ("strptime" HAVE_STRPTIME)
 
+set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
   set(CMAKE_MACOSX_RPATH ON)
 endif()
+  
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
@@ -89,6 +91,7 @@
 option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
+option(WITH_REDIS "Use redis as a cache backend (requires hiredis library)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
 option(WITH_TIFF_WRITE_SUPPORT "Enable (experimental) support for writable TIFF cache backends" OFF)
 option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
@@ -111,6 +114,7 @@
   include_directories(${JPEG_INCLUDE_DIR})
   target_link_libraries(mapcache ${JPEG_LIBRARY})
 else(JPEG_FOUND)
+  report_mandatory_not_found(JPEG)
 endif(JPEG_FOUND)
    
 find_package(CURL)
@@ -155,6 +159,17 @@
   
 endif(WITH_MEMCACHE)
 
+if(WITH_REDIS)
+  find_package(Redis)
+  if(HIREDIS_FOUND)
+    include_directories(${HIREDIS_INCLUDE_DIR})
+    target_link_libraries(mapcache ${HIREDIS_LIBRARIES})
+    set (USE_REDIS 1)
+  else(HIREDIS_FOUND)
+    report_optional_not_found(Redis)
+  endif(HIREDIS_FOUND)
+endif(WITH_REDIS)
+
 if(WITH_PIXMAN)
   find_package(Pixman)
   if(PIXMAN_FOUND)
@@ -321,6 +336,7 @@
 status_optional_component("POSTGRESQL" "${USE_POSTGRESQL}" "${PostgreSQL_LIBRARY}")
 status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
 status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
+status_optional_component("Redis" "${USE_REDIS}" "${HIREDIS_LIBRARIES} ${HIREDIS_INCLUDE_DIR}")
 status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
 status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
@@ -338,6 +354,3 @@
 add_subdirectory(apache)
 add_subdirectory(nginx)
 
-if (WITH_MAPCACHE_DETAIL)
-  add_subdirectory(contrib/mapcache_detail)
-endif (WITH_MAPCACHE_DETAIL)

=== debian/changelog ===
mapcache (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 05:50:31 +0100

mapcache (1.12.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update upstream metadata.
  * Update watch file for GitHub URL changes.
  * Apply patch by Chris Lamb to make the build reproducible.
    (closes: #992039)
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Drop --autodest from dh_install.
  * Enable redis support.
  * Update copyright file.
  * Refresh patches.
  * Update symbols for 1.12.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Feb 2022 08:39:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -20,6 +20,7 @@
                libgdal-dev (>= 1.10.0-0~),
                libgeos-dev (>= 3.3.1-1~),
                libharfbuzz-dev,
+               libhiredis-dev,
                libjpeg-dev,
                libmemcached-dev,
                libpcre3-dev,
@@ -35,7 +36,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_VERBOSE_MAKEFILE=1 \
+		-DCMAKE_SKIP_RPATH=ON \
+		-DWITH_REDIS=1 \
 		-DWITH_PIXMAN=1 \
 		-DWITH_SQLITE=1 \
 		-DWITH_BERKELEY_DB=0 \
@@ -101,8 +103,5 @@
 	install -d $(CURDIR)/debian/tmp/etc/apache2/mods-available
 	install -m 644 $(CURDIR)/debian/mapcache.load $(CURDIR)/debian/tmp/etc/apache2/mods-available
 
-override_dh_install:
-	dh_install --autodest --list-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

## mapcache 1.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set (MAPCACHE_VERSION_MAJOR 1)
 set (MAPCACHE_VERSION_MINOR 12)
-set (MAPCACHE_VERSION_REVISION 0)
+set (MAPCACHE_VERSION_REVISION 1)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)

=== debian/changelog ===
mapcache (1.12.1-1build2) lunar; urgency=medium

  * No-change rebuild against libgdal32

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:35:13 +0000

mapcache (1.12.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libgdal31

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jun 2022 15:04:43 +0000

mapcache (1.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Mar 2022 16:30:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mapcache
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>

## mapcache 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 12)
-set (MAPCACHE_VERSION_REVISION 1)
+set (MAPCACHE_VERSION_MINOR 14)
+set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)
@@ -90,6 +90,7 @@
 option(WITH_SQLITE "Use sqlite as a cache/dimension backend" ON)
 option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
+option(WITH_LMDB "Use LMDB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
 option(WITH_REDIS "Use redis as a cache backend (requires hiredis library)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
@@ -240,6 +241,20 @@
   endif(BERKELEYDB_FOUND)
 endif (WITH_BERKELEY_DB)
 
+if(WITH_LMDB)
+  if(NOT LMDB_FIND_VERSION)
+    set(LMDB_FIND_VERSION "0.9.10")
+  endif(NOT LMDB_FIND_VERSION)
+  find_package(LMDB)
+  if(LMDB_FOUND)
+    include_directories(${LMDB_INCLUDE_DIR})
+    target_link_libraries(mapcache ${LMDB_LIBRARY})
+    set(USE_LMDB 1)
+  else(LMDB_FOUND)
+    report_optional_not_found(LMDB)
+  endif(LMDB_FOUND)
+endif(WITH_LMDB)
+
 if(WITH_TIFF)
   find_package(TIFF)
   if(TIFF_FOUND)
@@ -335,22 +350,10 @@
 status_optional_component("SQLITE" "${USE_SQLITE}" "${SQLITE_LIBRARY}")
 status_optional_component("POSTGRESQL" "${USE_POSTGRESQL}" "${PostgreSQL_LIBRARY}")
 status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
+status_optional_component("LMDB" "${USE_LMDB}" "${LMDB_LIBRARY}")
 status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
 status_optional_component("Redis" "${USE_REDIS}" "${HIREDIS_LIBRARIES} ${HIREDIS_INCLUDE_DIR}")
 status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
 status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
-status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
-status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
-status_optional_component("GDAL" "${USE_GDAL}" "${GDAL_LIBRARY}")
-message(STATUS " * Optional features")
-status_optional_feature("MAPCACHE_DETAIL" "${WITH_MAPCACHE_DETAIL}")
-
-INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})
-
-add_subdirectory(util)
-add_subdirectory(cgi)
-add_subdirectory(apache)
-add_subdirectory(nginx)
-

=== util/CMakeLists.txt ===
option(WITH_GEOS "Choose if GEOS geometry operations support should be built in" ON)
option(WITH_OGR "Choose if OGR/GDAL input vector support should be built in" ON)

add_executable(mapcache_seed mapcache_seed.c)
target_link_libraries(mapcache_seed mapcache)

if(WITH_OGR)
  find_package(GDAL)
  if(GDAL_FOUND)
    include_directories(${GDAL_INCLUDE_DIR})
    target_link_libraries(mapcache_seed ${GDAL_LIBRARY})
    set (USE_OGR 1)
  else(GDAL_FOUND)
    #TODO:message here could be more precise: we need the GDAL library but we don't need to force gdal support
    report_dependency_error(GDAL OGR)
  endif(GDAL_FOUND)
endif(WITH_OGR)


if(WITH_GEOS)
  find_package(GEOS)
  if(GEOS_FOUND)
    include_directories(${GEOS_INCLUDE_DIR})
    target_link_libraries(mapcache_seed ${GEOS_LIBRARY})
    set (USE_GEOS 1)
  else(GEOS_FOUND)
    report_optional_not_found(GEOS)
  endif(GEOS_FOUND)
endif (WITH_GEOS)

  
configure_file (
  "${PROJECT_SOURCE_DIR}/util/mapcache-util-config.h.in"
  "${PROJECT_BINARY_DIR}/util/mapcache-util-config.h"
  )
include_directories("${PROJECT_BINARY_DIR}/util/")


message(STATUS "* Seeder Configuration Options:")
status_optional_component("GEOS" "${USE_GEOS}" "${GEOS_LIBRARY}")
status_optional_component("OGR" "${USE_OGR}" "${GDAL_LIBRARY}")

INSTALL(TARGETS mapcache_seed RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== contrib/mapcache_detail/CMakeLists.txt ===
option(WITH_GEOS
       "Choose if GEOS geometry operations support should be built in" ON)
option(WITH_OGR
       "Choose if OGR/GDAL input vector support should be built in" ON)

add_executable(mapcache_detail mapcache_detail.c)
target_link_libraries(mapcache_detail mapcache)

if (WITH_SQLITE)
  find_package(SQLITE)
  if(SQLITE_FOUND)
    include_directories(${SQLITE_INCLUDE_DIR})
    target_link_libraries(mapcache_detail ${SQLITE_LIBRARY})
  else(SQLITE_FOUND)
    report_mandatory_not_found(SQLITE)
  endif(SQLITE_FOUND)
else (WITH_SQLITE)
  report_dependency_error(MAPCACHE_DETAIL SQLITE)
endif (WITH_SQLITE)

if (WITH_OGR)
  find_package(GDAL)
  if (GDAL_FOUND)
    include_directories(${GDAL_INCLUDE_DIR})
    target_link_libraries(mapcache_detail ${GDAL_LIBRARY})
    set (USE_OGR 1)
  else (GDAL_FOUND)
    report_optional_not_found(GDAL)
  endif (GDAL_FOUND)
endif (WITH_OGR)

if (WITH_GEOS)
  find_package(GEOS)
  if (GEOS_FOUND)
    include_directories(${GEOS_INCLUDE_DIR})
    target_link_libraries(mapcache_detail ${GEOS_LIBRARY})
    set (USE_GEOS 1)
  else (GEOS_FOUND)
    report_optional_not_found(GEOS)
  endif (GEOS_FOUND)
endif (WITH_GEOS)


set (CURRENT_BINARY_DIR "${PROJECT_BINARY_DIR}/contrib/mapcache_detail/")
include_directories("${CURRENT_BINARY_DIR}")

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/mapcache_detail_config.h.in"
  "${CURRENT_BINARY_DIR}/mapcache_detail_config.h"
)

message(STATUS "* mapcache_detail Configuration Options:")
message(STATUS " * Mandatory components")
message(STATUS "  * SQLite: ${SQLITE_LIBRARY}")
message(STATUS " * Optional components")
status_optional_component("GEOS" "${USE_GEOS}" "${GEOS_LIBRARY}")
status_optional_component("OGR" "${USE_OGR}" "${GDAL_LIBRARY}")

INSTALL(TARGETS mapcache_detail
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
mapcache (1.14.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Disable PCRE support, pcre3 package will be removed.
    (closes: #1000128)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jun 2023 06:34:42 +0200

mapcache (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Update copyright file.
  * Update docs for renamed README.
  * Enable LMDB support.
  * Sort CMake options.
  * Drop obsolete Breaks/Replaces.
  * Refresh patches.
  * Update symbols for amd64.
  * Build depend on libfreetype-dev instead of libfreetype6-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 08:42:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mapcache
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -15,7 +14,7 @@
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libfcgi-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libfribidi-dev,
                libgd-dev,
                libgdal-dev (>= 1.10.0-0~),
@@ -23,8 +22,8 @@
                libharfbuzz-dev,
                libhiredis-dev,
                libjpeg-dev,
+               liblmdb-dev,
                libmemcached-dev,
-               libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
                librsvg2-dev,
@@ -37,10 +36,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
+Rules-Requires-Root: no
 
 Package: libmapcache1
 Architecture: any
@@ -64,10 +64,6 @@
 Suggests: mapcache-cgi,
           mapcache-tools,
           libapache2-mod-mapcache
-Breaks: libmapcache-dev (<< 1.2.0-1~),
-        libmapcache0-dev (<< 1.2.0-1~)
-Replaces: libmapcache-dev (<< 1.2.0-1~),
-          libmapcache0-dev (<< 1.2.0-1~)
 Description: tile caching server - shared library development files
  This package contains the development files for the shared library.
  .

=== debian/rules ===
--- 
+++ 
@@ -33,23 +33,24 @@
 
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_SKIP_RPATH=ON \
 		-DCMAKE_VERBOSE_MAKEFILE=1 \
-		-DCMAKE_SKIP_RPATH=ON \
-		-DWITH_REDIS=1 \
-		-DWITH_PIXMAN=1 \
-		-DWITH_SQLITE=1 \
+		-DWITH_APACHE=1 \
 		-DWITH_BERKELEY_DB=0 \
-		-DWITH_TIFF=1 \
-		-DWITH_TIFF_WRITE_SUPPORT=0 \
-		-DWITH_GEOTIFF=0 \
-		-DWITH_MAPSERVER=0 \
-		-DWITH_PCRE=1 \
-		-DWITH_APACHE=1 \
-		-DWITH_VERSION_STRING=1 \
 		-DWITH_CGI=1 \
 		-DWITH_FCGI=1 \
 		-DWITH_GEOS=1 \
-		-DWITH_OGR=1
+		-DWITH_GEOTIFF=0 \
+		-DWITH_LMDB=1 \
+		-DWITH_MAPSERVER=0 \
+		-DWITH_OGR=1 \
+		-DWITH_PCRE=0 \
+		-DWITH_PIXMAN=1 \
+		-DWITH_REDIS=1 \
+		-DWITH_SQLITE=1 \
+		-DWITH_TIFF=1 \
+		-DWITH_TIFF_WRITE_SUPPORT=0 \
+		-DWITH_VERSION_STRING=1
 
 # Disable memcache support on architectures where it's not supported
 ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf i386 mips mipsel powerpc hppa hurd-i386))
